Subject: Re: bug#50297: 28.0.50; Aggregate project functions for project.el

From: Philip Kaludercic <[email-masked]>
Date: Wed, 22 Sep 2021 16:44:35 +0000

Juri Linkov <[email-masked]> writes:

>> While I'm not necessarily a fan of the tabulated list approach, the above
>> list looks sensible.
>
> We already have a lot of 'list-*' commands for everything like
> 'list-packages', 'list-timers', etc. So sooner or later
> 'list-projects' will need to be added anyway, with the minimal
> requirement of using that list for quicker and more visual
> project switching with 'RET' like in 'list-buffers', and
> also for issuing commands on a group of selected projects, etc.

I think it would make sense to have some kind of a way to name projects,
either by extracting the information from the VCS or via an
alias. When I tried implementing something like this, the only two
columns I could come up with to present were type (that isn't to
interesting to begin with) and project root. This seems a too meagre to
warren a list-projects function.

-- 
	Philip Kaludercic